Render an email template
Renders a template using the provided Liquid variables. Missing template_variables defaults to {}.
POST
/
email_templates
/
{id}
/
render
Render an email template
curl --request POST \
--url https://api.telnyx.com/v2/email_templates/{id}/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_variables": {
"first_name": "Ada"
}
}
'import requests
url = "https://api.telnyx.com/v2/email_templates/{id}/render"
payload = { "template_variables": { "first_name": "Ada" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_variables: {first_name: 'Ada'}})
};
fetch('https://api.telnyx.com/v2/email_templates/{id}/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"record_type": "email_template",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"subject": "<string>",
"html_body": "<string>",
"text_body": "<string>",
"variables": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"code": "10006",
"title": "Not authorized",
"detail": "Invalid API key",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10006"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested resource was not found"
}
]
}{
"errors": [
{
"code": "10015",
"title": "Template Render Failed",
"detail": "Liquid parse error"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Email template UUID.
Body
application/json
Variables for Liquid template rendering. Non-object values are silently treated as an empty object.
Response
Rendered template content.
Template object with subject, html_body, and text_body replaced by their Liquid-rendered values. All other template fields (id, name, variables, etc.) remain unchanged.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Render an email template
